Criar um novo canal
curl --request POST \
--url https://{host}/api/{session}/channels \
--header 'Content-Type: application/json' \
--header 'apikey: <api-key>' \
--data '
{
"name": "Channel Name",
"description": "Channel Description",
"picture": {
"mimetype": "image/jpeg",
"url": "https://github.com/stgcompany/wappfy/raw/core/examples/wappfy.jpg",
"filename": "filename.jpg"
}
}
'import requests
url = "https://{host}/api/{session}/channels"
payload = {
"name": "Channel Name",
"description": "Channel Description",
"picture": {
"mimetype": "image/jpeg",
"url": "https://github.com/stgcompany/wappfy/raw/core/examples/wappfy.jpg",
"filename": "filename.jpg"
}
}
headers = {
"apikey": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {apikey: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Channel Name',
description: 'Channel Description',
picture: {
mimetype: 'image/jpeg',
url: 'https://github.com/stgcompany/wappfy/raw/core/examples/wappfy.jpg',
filename: 'filename.jpg'
}
})
};
fetch('https://{host}/api/{session}/channels', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "Meu Canal",
"description": "Canal de notícias e atualizações",
"picture": "iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAYAAAAfFcSJAAAADUlEQVR42mNk+M9QDwADhgGAWjR9awAAAABJRU5ErkJggg=="
}
{
"success": true,
"channel": {
"id": "123456789@newsletter",
"name": "Meu Canal",
"description": "Canal de notícias e atualizações"
}
}
Canais
Criar Novo Canal
Criar um novo canal (newsletter) no WhatsApp
POST
/
api
/
{session}
/
channels
Criar um novo canal
Descrição
Este endpoint permite criar um novo canal no WhatsApp. Canais são recursos que permitem transmitir mensagens para um grande número de seguidores de forma unidirecional.Parâmetros de URL
string
required
ID único da sessão WhatsApp autenticada
Corpo da Requisição
string
required
Nome do canal a ser criado
string
required
Descrição do canal que aparecerá para os seguidores
string
Imagem do canal codificada em base64 (opcional)
Resposta
boolean
Indica se o canal foi criado com sucesso
{
"name": "Meu Canal",
"description": "Canal de notícias e atualizações",
"picture": "iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAYAAAAfFcSJAAAADUlEQVR42mNk+M9QDwADhgGAWjR9awAAAABJRU5ErkJggg=="
}
{
"success": true,
"channel": {
"id": "123456789@newsletter",
"name": "Meu Canal",
"description": "Canal de notícias e atualizações"
}
}
Códigos de Status
200- Canal criado com sucesso400- Parâmetros inválidos ou faltando401- Não autorizado500- Erro interno do servidor
Exemplo de Uso
curl -X POST https://api.wappfy.com.br/api/my-session/channels \
-H "Content-Type: application/json" \
-d '{
"name": "Meu Canal",
"description": "Canal de notícias e atualizações",
"picture": "iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAYAAAAfFcSJAAAADUlEQVR42mNk+M9QDwADhgGAWjR9awAAAABJRU5ErkJggg=="
}'
const session = 'my-session';
const response = await fetch(`https://api.wappfy.com.br/api/${session}/channels`, {
method: 'POST',
headers: {
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: 'Meu Canal',
description: 'Canal de notícias e atualizações',
picture: 'iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAYAAAAfFcSJAAAADUlEQVR42mNk+M9QDwADhgGAWjR9awAAAABJRU5ErkJggg=='
})
});
const data = await response.json();
console.log(data);
import requests
session = 'my-session'
response = requests.post(
f'https://api.wappfy.com.br/api/{session}/channels',
json={
'name': 'Meu Canal',
'description': 'Canal de notícias e atualizações',
'picture': 'iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAYAAAAfFcSJAAAADUlEQVR42mNk+M9QDwADhgGAWjR9awAAAABJRU5ErkJggg=='
}
)
data = response.json()
print(data)
Authorizations
Sua chave de API do Wappfy (obtenha em dash.wappfy.com.br)
Path Parameters
Nome da sessão (instanceName)
Body
application/json
Response
201 - application/json
Newsletter id
Example:
"123123123123@newsletter"
Channel name
Example:
"Channel Name"
Invite link
Example:
"https://www.whatsapp.com/channel/111111111111111111111111"
Available options:
OWNER, ADMIN, SUBSCRIBER, GUEST Preview for channel's picture
Example:
"https://mmg.whatsapp.net/m1/v/t24/An&_nc_cat=10"
Channel's picture
Example:
"https://mmg.whatsapp.net/m1/v/t24/An&_nc_cat=10"
⌘I
